{"metadata":{"image":[],"title":"","description":""},"api":{"url":"","auth":"required","settings":"","results":{"codes":[]},"params":[]},"next":{"description":"","pages":[]},"title":"Flutter","type":"basic","slug":"flutter","excerpt":"Saiba como instalar e configurar nossa SDK em Flutter para API Pix","body":"[block:html]\n{\n  \"html\": \"<p>Nossa API é <a href=\\\"https://en.wikipedia.org/wiki/Representational_state_transfer\\\" target=\\\"_blank\\\" title=\\\"Link Externo\\\">RESTful</a> e responde em <a href=\\\"http://www.json.org/\\\" target=\\\"_blank\\\" title=\\\"Link Externo\\\">JSON</a>. A Gerencianet utiliza <a href=\\\"http://oauth.net/\\\" target=\\\"_blank\\\" title=\\\"Link Externo\\\">OAuth</a> para fornecer acesso autorizado à <abbr title=\\\"Application Programming Interface\\\">API</abbr>. Nossa SDK de Flutter já está preparada para realizar essa autenticação automaticamente.</p>\"\n}\n[/block]\nA seguir, confira os procedimentos para instalação da <a href=\"https://github.com/gerencianet/gn-api-sdk-flutter-examples\" target=\"_blank\" title=\"Link Externo\">SDK da Gerencianet em Flutter</a>:\n\n\n#Iniciando:\n\n## Convertendo o certificado .p12\n\nPara utilizar os endpoints da API Pix é necessário que o certificado gerado em sua conta Gerencianet seja convertido para *.pem* , esta conversão pode ser feita utilizando os comandos OpenSSL a seguir:\n\n<pre>openssl pkcs12 -in path.p12 -out newfile.crt.pem -clcerts -nokeys //certificado\nopenssl pkcs12 -in path.p12 -out newfile.key.pem -nocerts -nodes //chave privada</pre>\n\nAdicione os seus certificado Pix em assets/certs\n\nDepois, execute o comando:\n<pre>flutter pub get</pre>\n\n<br>\n\nDefina as credenciais de sua aplicação no arquivo <code>credentials.dart</code>\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"dynamic CREDENTIALS = {\\n  'client_id': '',        # Enter your client id\\n  'client_secret': '',    # Enter your client secret\\n  'sandbox': false,       # Enable or disable sandbox mode\\n  'pix_cert': 'assets/certs/cert.crt.pem',         # Enter the certificate directory \\n  'pix_private_key': 'assets/certs/cert.key.pem'   # Enter the certificate key directory \\n};\",\n      \"language\": \"go\",\n      \"name\": \"Flutter\"\n    }\n  ]\n}\n[/block]\n# Testado com\n\n-  Flutter<code>2.0.6</code>","updates":[],"order":12,"isReference":false,"hidden":true,"sync_unique":"","link_url":"","link_external":false,"_id":"60f0409ee45c90002290abff","createdAt":"2021-07-15T14:05:18.986Z","user":"5e8b36bc27ee9b00181b36bf","category":{"sync":{"isSync":false,"url":""},"pages":[],"title":"Instalação da API (SDK's)","slug":"instalação-da-api-sdks","order":6,"from_sync":false,"reference":false,"_id":"606f2ca6c5ba91007878343d","createdAt":"2017-03-10T12:37:05.075Z","project":"575aeffae12cf20e002f306c","version":"606f2ca7c5ba9100787834c6","__v":0},"version":{"version":"1.1.0","version_clean":"1.1.0","codename":"2021","is_stable":true,"is_beta":false,"is_hidden":false,"is_deprecated":false,"categories":["606f2ca6c5ba91007878342b","575af039a083950e004487f7","575af5c7ba4ed70e000ca288","606f2ca6c5ba91007878342c","606f2ca6c5ba91007878342d","606f2ca6c5ba91007878342e","606f2ca6c5ba91007878342f","5761a63d207db7170022fc14","5761b9a2b65324200072d79e","576832939f0bf4190014ffdf","576832c09f0bf4190014ffe1","576832cba151c10e004316f0","576832d5bb15f40e00a288ec","576832e107b1f30e0039c645","606f2ca6c5ba910078783430","606f2ca6c5ba910078783431","5783f78c5cbce30e0074e2b7","606f2ca6c5ba910078783432","606f2ca6c5ba910078783433","606f2ca6c5ba910078783434","606f2ca6c5ba910078783435","606f2ca6c5ba910078783436","606f2ca6c5ba910078783437","578529f887c9280e0090394b","606f2ca6c5ba910078783438","606f2ca6c5ba910078783439","606f2ca6c5ba91007878343a","606f2ca6c5ba91007878343b","606f2ca6c5ba91007878343c","606f2ca6c5ba91007878343d","606f2ca6c5ba91007878343e","606f2ca6c5ba91007878343f","606f2ca6c5ba910078783440","606f2ca6c5ba910078783441","60d61f026ddc3901a32ee5f1","60ec37c637005f015e54174e"],"_id":"606f2ca7c5ba9100787834c6","project":"575aeffae12cf20e002f306c","createdAt":"2016-06-10T16:51:06.080Z","releaseDate":"2016-06-10T16:51:06.080Z","__v":2,"forked_from":"575aeffae12cf20e002f306f"},"project":"575aeffae12cf20e002f306c","__v":0,"parentDoc":null}

Flutter

Saiba como instalar e configurar nossa SDK em Flutter para API Pix

[block:html] { "html": "<p>Nossa API é <a href=\"https://en.wikipedia.org/wiki/Representational_state_transfer\" target=\"_blank\" title=\"Link Externo\">RESTful</a> e responde em <a href=\"http://www.json.org/\" target=\"_blank\" title=\"Link Externo\">JSON</a>. A Gerencianet utiliza <a href=\"http://oauth.net/\" target=\"_blank\" title=\"Link Externo\">OAuth</a> para fornecer acesso autorizado à <abbr title=\"Application Programming Interface\">API</abbr>. Nossa SDK de Flutter já está preparada para realizar essa autenticação automaticamente.</p>" } [/block] A seguir, confira os procedimentos para instalação da <a href="https://github.com/gerencianet/gn-api-sdk-flutter-examples" target="_blank" title="Link Externo">SDK da Gerencianet em Flutter</a>: #Iniciando: ## Convertendo o certificado .p12 Para utilizar os endpoints da API Pix é necessário que o certificado gerado em sua conta Gerencianet seja convertido para *.pem* , esta conversão pode ser feita utilizando os comandos OpenSSL a seguir: <pre>openssl pkcs12 -in path.p12 -out newfile.crt.pem -clcerts -nokeys //certificado openssl pkcs12 -in path.p12 -out newfile.key.pem -nocerts -nodes //chave privada</pre> Adicione os seus certificado Pix em assets/certs Depois, execute o comando: <pre>flutter pub get</pre> <br> Defina as credenciais de sua aplicação no arquivo <code>credentials.dart</code> [block:code] { "codes": [ { "code": "dynamic CREDENTIALS = {\n 'client_id': '', # Enter your client id\n 'client_secret': '', # Enter your client secret\n 'sandbox': false, # Enable or disable sandbox mode\n 'pix_cert': 'assets/certs/cert.crt.pem', # Enter the certificate directory \n 'pix_private_key': 'assets/certs/cert.key.pem' # Enter the certificate key directory \n};", "language": "go", "name": "Flutter" } ] } [/block] # Testado com - Flutter<code>2.0.6</code>